Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RR_Block Struct Reference

The receiver report block encapsulates the data that represents the reception statistics for a particular stream. More...

`#include <RTCP_Packet.h>`

Collaboration diagram for RR_Block:

[legend]
List of all members.

## Public Attributes
ACE_UINT32 | ssrc_
| The synchronization source id of the source of the data. More...
unsigned int | fraction_:8
| The fraction of RTP data packets lost since the previous SR or RR was sent. More...
int | lost_:24
| The cumulative number of packets lost. More...
ACE_UINT32 | last_seq_
| The highest extended sequence number received in an RTP packet. More...
ACE_UINT32 | jitter_
| An estimate of the statistical variance of the RTP data packet interarrival time measured in timestamp units. More...
ACE_UINT32 | lsr_
| The middle 32 bits of the NTP timestamp received in the most recent sender report. More...
ACE_UINT32 | dlsr_
| The delay in 1/65536 seconds since receiving the last sender report. More...
RR_Block * | next_
| Link to the next receiver report block. More...

## Detailed Description

The receiver report block encapsulates the data that represents the reception statistics for a particular stream.

## Member Data Documentation

ACE_UINT32 RR_Block::dlsr_

| The delay in 1/65536 seconds since receiving the last sender report.

unsigned int RR_Block::fraction_

| The fraction of RTP data packets lost since the previous SR or RR was sent.

ACE_UINT32 RR_Block::jitter_

| An estimate of the statistical variance of the RTP data packet interarrival time measured in timestamp units.

ACE_UINT32 RR_Block::last_seq_

| The highest extended sequence number received in an RTP packet.

int RR_Block::lost_

| The cumulative number of packets lost.

ACE_UINT32 RR_Block::lsr_

| The middle 32 bits of the NTP timestamp received in the most recent sender report.

RR_Block* RR_Block::next_

| Link to the next receiver report block.

ACE_UINT32 RR_Block::ssrc_

| The synchronization source id of the source of the data.

The documentation for this struct was generated from the following file:

- RTCP_Packet.h